Subject: Re: [PATCH v3 0/3] Maintenance: adapt custom refspecs

From: Junio C Hamano <[email-masked]>
Date: Sat, 10 Apr 2021 18:35:40 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

>  * The fix is almost completely rewritten as an update to 'git fetch'. See
>    the new PATCH 2 for this update.

I do agree that it gives us the most flexibility there with nice
encapsulation.  Nobody other than "git fetch" needs to know how it
computes which remote refs are fetched given the real pathspec, and
the only thing the caller with "--prefetch" is interested in is that
the prefetch operation would not contaminate the remote-tracking
refs.

Great idea.  I wish I were the one who thought of it first ;-)